summary refs log tree commit diff
path: root/contrib/rvnit/04Dudevd
diff options
context:
space:
mode:
authorLeah Neukirchen <leah@vuxu.org>2022-01-27 17:55:56 +0100
committerLeah Neukirchen <leah@vuxu.org>2022-01-27 17:55:56 +0100
commit0f55856e02b30c9cc41df0c75bccf7f2881cfe93 (patch)
treec367bdec2245556b70b0a6b2c626f6c2f9445891 /contrib/rvnit/04Dudevd
parent4a8a2b2d662f5de300d789d31078b9d75e94106a (diff)
downloadrvnit-0f55856e02b30c9cc41df0c75bccf7f2881cfe93.tar.gz
rvnit-0f55856e02b30c9cc41df0c75bccf7f2881cfe93.tar.xz
rvnit-0f55856e02b30c9cc41df0c75bccf7f2881cfe93.zip
contrib: update
Diffstat (limited to 'contrib/rvnit/04Dudevd')
-rwxr-xr-xcontrib/rvnit/04Dudevd18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/rvnit/04Dudevd b/contrib/rvnit/04Dudevd
new file mode 100755
index 0000000..318c7e8
--- /dev/null
+++ b/contrib/rvnit/04Dudevd
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+. /etc/runit/functions
+
+# vim: set ts=4 sw=4 et:
+
+[ -n "$VIRTUALIZATION" ] && return 0
+
+if [ -x /usr/lib/systemd/systemd-udevd ]; then
+    _udevd=/usr/lib/systemd/systemd-udevd
+elif [ -x /sbin/udevd -o -x /bin/udevd ]; then
+    _udevd=udevd
+else
+    msg_warn "cannot find udevd!"
+    exit 111
+fi
+
+exec ${_udevd} 2>&1